/*!
 * Synchronous
 * Copyright(c) 2011 Chris O'Hara <cohara87@gmail.com>
 * MIT Licensed
 */

/**
 * node-fibers is required.
 */

try {
    require('fibers');
} catch (e) {
    console.log(
        '\x1B[31mERROR\x1B[0m: Run the script with `node-fibers` instead of `node`'
    );
    process.exit(1);
}

/**
 * Modify built-in JS prototypes.
 */

require('./prototype');

/**
 * Modify {http,https,net}.createServer so that each request is wrapped
 * in it's own fiber.
 */

require('./server');

/**
 * Export a helper for creating a new fiber.
 */

exports.fiber = function (fn) {
    Fiber(fn).run();
}
